Bug 1390008 - When waking up from suspend screen stays blank
Summary: When waking up from suspend screen stays blank
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-30 18:25 UTC by Eduardo Silva
Modified: 2017-12-12 15:22 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:44:56 UTC


Attachments (Terms of Use)
lspci output (1.40 KB, text/plain)
2016-10-30 18:25 UTC, Eduardo Silva
no flags Details
kernel log when suspending and waking up (99.66 KB, text/plain)
2016-10-30 18:26 UTC, Eduardo Silva
no flags Details
output of command 'lshw -c display' (956 bytes, text/plain)
2016-11-03 21:43 UTC, Eduardo Silva
no flags Details
dmidecode output (10.86 KB, text/plain)
2016-11-03 21:44 UTC, Eduardo Silva
no flags Details

Description Eduardo Silva 2016-10-30 18:25:06 UTC
Created attachment 1215595 [details]
lspci output

Description of problem:
I have a dual-graphics laptop, intel+Nvidia. When waking up from suspend, the screens stays blank, although the laptop's LED shows that it has "awoken".
This happens both on Gnome on X and wayland. 'rmmod'ing the nouveau driver solves the issue.

Version-Release number of selected component (if applicable):
linux 4.8.3-300.fc25.x86_64
xorg-x11-drv-nouveau 1.0.13-1.fc25

How reproducible:
Always

Additional info:
Attaching dmesg.txt and lspci.txt

Comment 1 Eduardo Silva 2016-10-30 18:26 UTC
Created attachment 1215596 [details]
kernel log when suspending and waking up

Comment 2 Eduardo Silva 2016-10-30 18:28:05 UTC
Suspend always worked fine last Fedora releases (since I started using it mid 2014 on this laptop) with nouveau loaded.

Comment 3 Eduardo Silva 2016-11-03 21:43 UTC
Created attachment 1217157 [details]
output of command 'lshw -c display'

Comment 4 Eduardo Silva 2016-11-03 21:44 UTC
Created attachment 1217158 [details]
dmidecode output

Comment 5 Eduardo Silva 2016-11-03 22:26:44 UTC
Filed on freedesktop.org's bug tracker as well:
https://bugs.freedesktop.org/show_bug.cgi?id=98582

Comment 6 Fedora End Of Life 2017-11-16 19:45:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Jan Vlug 2017-12-09 10:31:00 UTC
I confirm similar behavior on a desktop machine with two displays attached. I'm running a fully up to date Fedora 27.

Linux nyx 4.13.16-302.fc27.x86_64 #1 SMP Thu Nov 30 15:33:36 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 8 Fedora End Of Life 2017-12-12 10:44:56 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Jan Vlug 2017-12-12 15:22:20 UTC
I'm a bit surprised that this issue is closed while I confirmed in comment 7 that it is there in Fedora 27.


Note You need to log in before you can comment on or make changes to this bug.